#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/times.h>
#include <signal.h>
#include <time.h>
#include <sys/time.h>

#include "riscos.h"
#include "module-taskwindow.h"

bool TaskWindow::SWI (unsigned int swinum, bool xbit)
{
  switch (swinum)
    {
    case TaskWindow_TaskInfo: TaskInfo (); break;
    default:
      return false;
      break;
    }
  return true;
}

void TaskWindow::TaskInfo (void)
{
  // State that we are executing in a Task Window.
  WRITE_REG (0, 1);
}
